game.act = 'Не получается.';
game.inv = 'Гм.. Странная штука..';
game.use = 'Не сработает.';



require "snd"
require "noinv"
require "cutscene"

function init()
end;

global {
step = 0;
};

obj {
 nam = 'tik';
 disp = 'Часы';
 inv = 'Наручные часы. К сожалению, Шарик не помнит, когда он их приобрёл.';
}

obj {
 nam = 'art';
 disp = 'Блестяшка';
 inv = 'Какой-то блестящий шестиугольник размером с ладонь и изображением ёлки.';
}


room {
 snd.music 'mus/01_space_light.it';
 nam = 'rumain';
 title = 'Начало';
 enter = function(s)
    theme.set("scr.gfx.bg", "theme/bg.png");
	take 'tik'
	end;
 way = {path{'обзор', 'Посмотреть на Луну', 'view'}:disable(), path{'идти', 'Идти к утёсу', 'lvl1'}:disable()};
	dsc = [[Зима... Снег приятно хрустит под ногами.]];
	decor = [[Шарик стоит около ограды в заснеженном парке, находящимся около небольшого {#утес|утеса}. Вдали, 
	на чистом от от облаков небе, виднеется белоснежная {#луна|Луна}.]];
 }:with{
obj {
 nam = '#утес';
 act = 'Вершина утёса высоко возвышается над землёй';
 };
obj {
 nam = '#луна';
 act = function(s)
 if visited('rumain') then
 p 'Мне возможно показалось, но мимо Луны пролетели олени, упряженные санями.'
 enable 'обзор';
 if visited('view') then 
 disable 'обзор'
 end;
 end;
end;
};
}

room {
 noinv = true;
 nam = 'view';
 title = 'Смотря на Луну...';
 dsc = 'Красота!^Шарик любуется на Луну, попутно пытаясь рассмотреть, куда же полетели показавшиеся ему олени.';
 decor = '^Вдруг! Шарик замечает вдали, за утёсом зелёный свет. ^"Наверное это Дед Мороз!" - подумал Шарик. ^Теперь у Шарика есть цель - {@ walk rumain|добраться} до зелёного свечения, находящимся далеко у горизонта.';
 onexit = function(s)
 disable 'обзор';
 enable 'идти';
 end;
};

room {
 nam = 'lvl1';
 title = 'У входа в парк';
 dsc = 'Шарик стоит около входа в парк.';
 way = {path{'#inleft', 'Идти в магазин', 'store'}:disable(), path{'#inright', 'Идти вдоль трассы', 'road'}:disable()};
 decor = 'Потихоньку местами падает {#snow|снег}.^ {#lamp|Фонари} вдоль дорог освещают путь редко проезжающим машинам и {#t|прохожим}, желающим поскорее добраться домой к празднику. Можно пойти по тротуару {#left|налево} от входа в парк, зайдя в ближайший магазинчик канцелярских товаров, или же {#right|направо}, в сторону трассы, идущей за город.';
}:with{
 obj {
  nam = '#snow';
  act = 'Каждая снежинка несёт большой вклад в создании больших сугробов.';
 };
 obj {
  nam = '#lamp';
  act = '"Вестники света на дороге!" - хехе.';
 };
 obj {
  nam = '#t';
  act = 'Эх! Их ждут дома, а я сам по себе...';
 };
 obj {
  nam = '#left';
  act = function(s)
  enable '#inleft';
  end;
 };
 obj {
  nam = '#right';
  act = function(s)
  enable '#inright';
  end;
  };
}

room {
 nam = 'store';
 title = 'В магазине';
 enter = function(s)
 snd.music 'mus/hybrids.xm';
 p 'Я вошёл в магазин.';
end;
onenter = function(s)
if visited('pack') then 
walk 'store2';
p '^В магазин нет смысла входить. Денег то нету.';
else
end;
end;
 way = {path{'Выйти из магазина', 'store2'}};
 decor = 'В магазине канцелярских товаров можно купить чего нибудь полезного.^За стойкой продавца стоит {#female|продавщица}.';
 }:with{
 obj {
  nam = '#female';
  act = function(s)
  p 'За то время сколько я посещал этот магазин, этой продавщицы не видел. ^Можно к ней {#femaledlg|обратиться} за нужным товаром.';
 end;
 };
 obj {
  nam = '#femaledlg';
  act = function(s)
  walk 'infemaledlg'
  end;
  };
 };
 
dlg { 
  nam = 'infemaledlg';
  noinv = true;
  title = [[Разговор с продавщицей]];
  enter = [[Я обратился к продавщице]];
  phr = {
      {'Здравствуйте! Можете ли вы предоставить весь список канцелярских товаров?', function(s) walk 'pack' end};
	  };
	  
}	  
room {
 noinv = true;
 nam = 'pack';
 title = 'Список товаров';
 way = {path{'Отдать список товаров', 'store'}};
 dsc = 'Продовщица предоставила мне весь список товаров. Из всех товаров я предоставил нужными:';
 decor = '^{#n|Ножницы}  -- 50 монет^{#r|Карандаш} -- 5 монет^{#t|Тетрадь в клетку} -- 5 монет^{#b|Батарейки} -- 30 монет';
 }:with{
 obj {
  nam = '#n';
  act = 'Я, прежде чем выбрать ножницы, посмотрел содержимое моего бумажника - пусто! Мягко говоря я расстроен.';
 };
 obj {
  nam = '#r';
  act = 'Я, прежде чем выбрать карандаш, посмотрел содержимое моего бумажника - пусто! Мягко говоря я расстроен.';
 };
 obj {
  nam = '#t';
  act = 'Я, прежде чем выбрать тетрадь, посмотрел содержимое моего бумажника - пусто! Мягко говоря я расстроен.';
 };
 obj {
  nam = '#b';
  act = 'Я, прежде чем выбрать батарейки, посмотрел содержимое моего бумажника - пусто! Мягко говоря я расстроен.';
 };
 
};

room {
 nam = 'store2';
 title = 'Около магазина';
 enter = function(s)
 snd.music 'mus/01_space_light.it';
 end;
 way = {path{'Войти в магазин','store'}};
 onenter = function(s)
 if visited('pack') then
 p 'Я вышел огорчённым. Как же я не заметил отсутствие денег?';
 else
 p 'Я вышел из магазина';
end;
end;
dsc = 'Снег как и прежде медленно падает о тротуары, дороги, дома и магазины.';
decor = function(s)
if visited('pack') then 
p 'Я стою около магазина. Единственное, что мне остаётся, {@ walk road|пойти} вдоль трассы до того светящегося огонька на горизонте.';
else
p 'Я стою около магазинчика. Кажется, я хотел что-то купить...';
end;
end;
};

room {
 nam = 'road';
 title = 'Дорога';
 onenter = 'До упавшего объекта остаётся идти приличное расстояние. Если бы я мог найти такси! Но никого нет, то есть приходится идти пешком. Холод никак не мешает мне.';
 dsc = 'Дорога, освещённая фонарями и покрытая снегом, выглядит красиво. Кажется, снег падает ещё быстрей. Нужно {@ walk road2|идти дальше}.';
}

cutscene {
 nam = 'road2';
 title = '???';
 decor = function()
 p '^Вдруг. В одно мгновение взвыл ветер и с такой силой, что Шарика скинуло на обочину. [cut]';
 p '^ Шарику нужно встать! Снег как будто обжигает лицо. Шарик не может пошевелится. [cut]';
 p '^ Ничего не помогает! Каждый раз, когда Шарик встаёт на ноги, ветер опять как назло сталкивает его на асфальт, покрытый небольшим слоем снега. Хотя легче от этого не становится. [cut]';
 p '^ Что же делать?[cut]';
 p '^ Шарик сошёл с дороги и укрылся за ближайшим кустом [cut]';
 p '^[walk lvl2]';
 remove 'tik'
 end;
 };
 
room {
 nam = 'lvl2';
 title = 'Около заброшенного завода';
 way = {path{'#sv','Идти к свалке', 'xlam'}:disable(), path{'#fab', 'Войти на территорию фабрики', 'fabricaroom'}:disable()};
 dsc = 'Шарик медленно открыл глаза.^Снег ещё падал, но не так сильно. Шарик хотел посмотреть на часы, но их нет! ^Как так-то? - Шарик очень расстроен...^Оказалось, что Шарик находится у какой-то фабрики. И по её виду можно сказать, что она заброшена. Только как Шарик оказался у фабрики?';
 decor = 'Всё ещё темно. Снег медленно падает... Шарик находится около заброшенной {#fabriki|фабрики}. Неподалёку, за {#sva|свалкой} (как он догадался по остовам машин), он видит то самое зелёное свечение!';
}:with{
 obj {
  nam = '#sva';
  act = function(s)
  enable '#sv'
  p 'Недалеко от завода. Но расстояние весомое. Хорошо, что Луне хоть как-то удаётся осветить путь мне.';
  end;
 };
 obj {
  nam = '#fabriki';
  act = function(s)
  enable '#fab'
  p 'Дымовые башни фабрики скрываются в ночной темноте и потоке снега. Можно зайти и посмотреть чего.';
  end;
 };
};

room {
 nam = 'fabricaroom';
 title = 'Территория фабрики';
 way = {path{'Выйти за территорию', 'lvl2'}};
 dsc = 'Вся территория фабрики покрыта снегом. Нужно идти аккуратнее, под снегом может быть всё что угодно.';
 decor = 'Прямо за мною находятся открытые ворота. Через несколько метров от ворот находится {#fabricii|здание фабрики}. Судя по указателю у ворот, это фабрика по изготовлению... Тракторов? Я что-то не припоминаю, чтобы у нас около города был завод.^Также, если идти направо, то можно попасть на {#sc|склад}.';
}:with{
 obj {
  nam = '#sc';
  act = 'Я подошёл к массивным и большим дверям склада и попробовал их открыть, но безуспешно. Похоже двери закрыты.';
 };
 obj {
  nam = '#fabricii';
  act = 'Я подошёл к деревянным и на вид трухлявым входным дверям фабрики и потянул за металлическую, холодную ручку этой же самой двери. Но она не открывается. Ни на себя, ни внутрь.^Я попробовал выбить её, но нет. Ничего не получается.';
 };
 obj {
  nam = 'sugrob';
  dsc = 'У ворот находится очень большой {сугроб}.';
  act = function(s)
  if not have 'art' then
   pl.obj:add('art')
   p 'Я порылся в снегу и нашёл какую-то блестяшку.';
 else 
 p 'Я порылся в снегу, но ничего не нашёл.'
 end;
 end;
 };
}

room {
 nam = 'xlam';
 title = 'Свалка';
 dsc = 'Шарик уверенным, но спокойным шагом вошёл на территорию свалки. ^^Совсем чуть-чуть осталось!';
 decor = 'Шарику нужно {#step|идти} по заснеженной свалке.';
}:with{
 obj {
  nam = '#step';
  dsc = function(s) p ('Шарик прошёл: '..step..''); end;
  act = function(s)
  if step ~= 5 then
  step = step + 1
  else
  walk 'lvl3'
  end;
  end;
  }
};

room {
 nam = 'lvl3';
 title = 'Около разбившихся саней';
 enter = 'И вот Шарик добрался до разбившихся саней!';
 decor = 'Шарику осталось просто спуститься вниз по небольшому холму. Как только Шарик стал спусаться, сильный ветер подхватил его и {@ walk road3|унёс} далеко далеко от Деда Мороза!';
}

room {
 nam = 'road3';
 title = 'Трасса';
 onenter = 'Шарик оказался на трассе! Теперь что, он не сможет добраться до Деда Мороза и спасти его?';
 decor = 'Но вдруг из дали прилетел олень! На оленьем седле висел мешок. Шарик прочитал надпись, в ней гласило: "В случае прибытия оленя - прочитать". ^Шарик спокойно открыл мешочек и прочитал записку, в которой говорилось о том, что достаточно оседлать оленя и он умчит пользователя к Деду Морозу.^^{@ walk lvl3_2| Оседлать оленя}';
}

room {
 nam = 'lvl3_2';
 title = 'Около саней Деда Мороза';
 onenter = 'Миг! И Шарик уже около саней Деда Мороза. Но олень куда-то исчез.';
 decor = function(s) 
 if have 'art' then 
 p 'Шарик подошёл к саням и поднял с водительского места мешок. Под мешком оказался Дед Мороз. ^^- Спасибо тебе, добрый человек! Ты спас не только новый год, но и меня! Я бы хотел тебя спросить. Не находил ли ты случайно такую блестяшку, размером с ладонь и гравировкой ели?^^- Да! Есть такая. ^^Я отдал блестяшку Деду Морозу. Он вставил блестяшку в какую-то щель на панели саней и те слегка поднялись над землёй.^^- Теперь сани могу лететь! Садись назад, я помогу добраться тебе до дома.^^{@ walk end1| Сесть на заднее сиденье}';
 else 
 p 'Шарик подошёл к саням и поднял с водительского места мешок. Под мешком оказался Дед Мороз. ^^- Спасибо тебе, добрый человек! Ты спас не только новый год, но и меня! Я бы хотел тебя спросить. Не находил ли ты случайно такую блестяшку, размером с ладонь и гравировкой ели? ^^- Нет Дед Мороз, не видел. А что это? ^^- Это штука такая, которая может заставить лететь сани, но похоже она потерялась насовсем. Придётся звонить в спасательную службу, так как долго мы тут не протянем. Я всегда на всякий случай ношу при себе обычную одежду, мало ли...^^Так мы сидели в санях и ждали спасателей. Скоро они нашли нас и отвезли меня в больницу, так как я очень замёрз, а Дед Мороз попросил  отвезти его в город. Больше я его не видел, но на следующий день когда я оказался дома, то увидел под ёлкой новогодний подарок. Всё таки Дед Мороз оставил мне подарок. Похоже, что из-за аварии он опоздал на один день, то есть подарки всех ждали уже в ночь первого января...';
 end;
 end;
};

room {
 nam = 'end1';
 title = 'Конец';
 decor = ' Скоро я оказался у порога своего дома. Дед Мороз помахал мне рукой, поздравил с новым годом и улетел куда-то вдаль.^Я вошёл в дом. Под новогодней елью я увидел подарок! ^^^"Достаточно верить в Деда Мороза и он будет существовать..." © Жизнь';
}
